<?

	$rootpath = '../';
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';

		$id_theme=check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_GET['id'])))))));
		$id_post=check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_GET['idp'])))))));
		$id_podf=check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_GET['p'])))))));
		$t1 = mysql_query("SELECT * FROM `forum_theme` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme)))))))."'");
		$t = mysql_fetch_array($t1);
		if($level<7 OR $t['name']=='' OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
}else{
		switch ($act) {
		default:
		echo "<title>Удаление темы</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	 	echo '<div class="razd"></div>';
		echo '<div class="top-nav1">Удаление темы</div>';
		echo '<div class="razd"></div>';
		$wb=$_GET['o'];
		if($wb!=1){
		                    echo '<center><div class="window">';
							echo 'Вы уверенны что хотите удалить тему?<br/>';
							echo '<a href="action.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme))))))).'&amp;p='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_podf))))))).'&amp;o=1"><font color="#4EEE94"><b>Да</b></font></a> или <a href="postlist.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme))))))).'"><font color="#4EEE94"><b>Отмена</b></font></a><br/>';
							echo '</div></center>';
							}else{
	mysql_query("DELETE FROM `forum_theme` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme)))))))."';");
	mysql_query("DELETE FROM `forum_posts` WHERE `id_theme`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme)))))))."';");
	mysql_query("UPDATE `forum_podf` SET
			             `themes`=themes-1 WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_podf)))))))."';");
	    header("Location: themelist.php?id=".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_podf)))))))."");

			}
			break;
				case 'op':
			echo "<title>Открыть тему</title>";
	 		echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 		echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	 		echo '<div class="razd"></div>';
			echo '<div class="top-nav1">Открытие темы</div>';
				$wb=check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_GET['o'])))))));
			echo '<div class="razd"></div>';
		if($wb!=1){
		                    echo '<center><div class="window">';
							echo 'Вы уверенны что хотите открыть тему?<br/>';
							echo '<a href="action.php?act=op&amp;id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme))))))).'&amp;o=1"><font color="#4EEE94"><b>Да</b></font></a> или <a href="postlist.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme))))))).'"><font color="#4EEE94"><b>Отмена</b></font></a><br/>';
							echo '</div></center>';
							}else{
	mysql_query("UPDATE `forum_theme` SET
			             `type`=0 WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme)))))))."';");
header("Location: postlist.php?id=".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($t['id'])))))))."");

			}
			break;
			case 'cl':
			echo "<title>Закрытие темы</title>";
	 		echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 		echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	 		echo '<div class="razd"></div>';
			echo '<div class="top-nav1">Закрытие темы</div>';
				$wb=check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_GET['o'])))))));
			echo '<div class="razd"></div>';
		if($wb!=1){
		                    echo '<center><div class="window">';
							echo 'Вы уверенны что хотите закрыть тему?<br/>';
							echo '<a href="action.php?act=cl&amp;id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme))))))).'&amp;o=1"><font color="#4EEE94"><b>Да</b></font></a> или <a href="postlist.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme))))))).'"><font color="#4EEE94"><b>Отмена</b></font></a><br/>';
							echo '</div></center>';
							}else{
	mysql_query("UPDATE `forum_theme` SET
			             `type`=1 WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme)))))))."';");
header("Location: postlist.php?id=".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($t['id'])))))))."");

			}
			break;
			case 'delpost':
			echo '<div class="top">Удаление сообщения</div>';
			$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_posts` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_post)))))))."';"), 0);
			if($count>0){
				$wb=check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_GET['o'])))))));
		if($wb!=1){
		                    echo '<div class="conts">';
							echo 'Вы уверенны что хотите удалить это сообщение?<br/>';
							echo '<a href="action.php?act=delpost&amp;id='.check($id_theme).'&amp;idp='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_post))))))).'&amp;o=1">Да</a> или <a href="postlist.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme))))))).'">Отмена</a><br/>';
							echo '</div>';
							}else{
							
							mysql_query("DELETE FROM `forum_posts` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_post)))))))."';");
	mysql_query("UPDATE `forum_theme` SET
			             `msgs`=msgs-1 WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme)))))))."';");
	    header("Location: postlist.php?id=".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($t['id'])))))))."");
		
		}
		
		}
	break;
			}
		}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>